> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vat Invoice

> Get a VAT invoice by ID, including its line items.



## OpenAPI

````yaml /api/openapi-cutmake.json get /vat-invoices/{vat_invoice_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /vat-invoices/{vat_invoice_id}:
    get:
      tags:
        - VAT Invoices
      summary: Get Vat Invoice
      description: Get a VAT invoice by ID, including its line items.
      operationId: get_vat_invoice_vat_invoices__vat_invoice_id__get
      parameters:
        - name: vat_invoice_id
          in: path
          required: true
          schema:
            type: string
            title: Vat Invoice Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VatInvoiceResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VatInvoiceResponse:
      properties:
        id:
          type: string
          title: Id
        direction:
          type: string
          title: Direction
        formNo:
          anyOf:
            - type: string
            - type: 'null'
          title: Formno
        serial:
          anyOf:
            - type: string
            - type: 'null'
          title: Serial
        invoiceNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoicenumber
        taxAuthorityCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Taxauthoritycode
        issueDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Issuedate
        sellerName:
          anyOf:
            - type: string
            - type: 'null'
          title: Sellername
        sellerTaxCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Sellertaxcode
        buyerName:
          anyOf:
            - type: string
            - type: 'null'
          title: Buyername
        buyerTaxCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Buyertaxcode
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        clientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientname
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        supplierName:
          anyOf:
            - type: string
            - type: 'null'
          title: Suppliername
        invoiceId:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoiceid
        billId:
          anyOf:
            - type: string
            - type: 'null'
          title: Billid
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        exchangeRate:
          anyOf:
            - type: number
            - type: 'null'
          title: Exchangerate
        subtotal:
          anyOf:
            - type: number
            - type: 'null'
          title: Subtotal
        vatRate:
          anyOf:
            - type: number
            - type: 'null'
          title: Vatrate
        vatAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Vatamount
        totalAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Totalamount
        adjustmentType:
          anyOf:
            - type: string
            - type: 'null'
          title: Adjustmenttype
        replacesVatInvoiceId:
          anyOf:
            - type: string
            - type: 'null'
          title: Replacesvatinvoiceid
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        createdById:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyid
        lineItems:
          anyOf:
            - items:
                $ref: '#/components/schemas/VatInvoiceLineItem'
              type: array
            - type: 'null'
          title: Lineitems
      type: object
      required:
        - id
        - direction
      title: VatInvoiceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VatInvoiceLineItem:
      properties:
        id:
          type: string
          title: Id
        vatInvoiceId:
          type: string
          title: Vatinvoiceid
        lineNo:
          anyOf:
            - type: integer
            - type: 'null'
          title: Lineno
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        qty:
          anyOf:
            - type: number
            - type: 'null'
          title: Qty
        uom:
          anyOf:
            - type: string
            - type: 'null'
          title: Uom
        unitPrice:
          anyOf:
            - type: number
            - type: 'null'
          title: Unitprice
        lineSubtotal:
          anyOf:
            - type: number
            - type: 'null'
          title: Linesubtotal
        vatRate:
          anyOf:
            - type: number
            - type: 'null'
          title: Vatrate
        vatAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Vatamount
        lineTotal:
          anyOf:
            - type: number
            - type: 'null'
          title: Linetotal
      type: object
      required:
        - id
        - vatInvoiceId
      title: VatInvoiceLineItem
      description: A line item as returned to the client.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````